import request from '@/utils/request'

// 查询业务模型健康度巡检列表
export function listInspection(query) {
    return request({
        url: '/hl/inspection/list',
        method: 'get',
        params: query
    })
}

// 查询业务模型健康度巡检详细
export function getInspection(inspectionId) {
    return request({
        url: '/hl/inspection/' + inspectionId,
        method: 'get'
    })
}

// 新增业务模型健康度巡检
export function addInspection(data) {
    return request({
        url: '/hl/inspection',
        method: 'post',
        data: data
    })
}

// 修改业务模型健康度巡检
export function updateInspection(data) {
    return request({
        url: '/hl/inspection',
        method: 'put',
        data: data
    })
}

// 删除业务模型健康度巡检
export function delInspection(inspectionId) {
    return request({
        url: '/hl/inspection/' + inspectionId,
        method: 'delete'
    })
}
